summaryrefslogtreecommitdiffstats
path: root/network/microsoft-edge
diff options
context:
space:
mode:
Diffstat (limited to 'network/microsoft-edge')
-rw-r--r--network/microsoft-edge/README7
-rw-r--r--network/microsoft-edge/doinst.sh13
-rw-r--r--network/microsoft-edge/microsoft-edge.SlackBuild111
-rw-r--r--network/microsoft-edge/microsoft-edge.info10
-rw-r--r--network/microsoft-edge/slack-desc19
5 files changed, 160 insertions, 0 deletions
diff --git a/network/microsoft-edge/README b/network/microsoft-edge/README
new file mode 100644
index 0000000000..4643e8a054
--- /dev/null
+++ b/network/microsoft-edge/README
@@ -0,0 +1,7 @@
+Microsoft Edge is a proprietary, cross-platform web browser
+created by Microsoft. It was first released in 2015 as part
+of Windows 10 and Xbox One and later ported to other
+platforms as a fork of Google's Chromium open-source
+project: Android and iOS, macOS, older Windows versions
+(Windows 7, Windows Server 2008 R2 and later), and most
+recently Linux.
diff --git a/network/microsoft-edge/doinst.sh b/network/microsoft-edge/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/network/microsoft-edge/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/microsoft-edge/microsoft-edge.SlackBuild b/network/microsoft-edge/microsoft-edge.SlackBuild
new file mode 100644
index 0000000000..74965061bd
--- /dev/null
+++ b/network/microsoft-edge/microsoft-edge.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/bash
+#
+# Slackware build script for microsoft-edge.
+#
+# Copyright 2023 Andrew Payne <phalange@komputermatrix.com>
+# Copyright 2021 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=microsoft-edge
+BRANCH=stable
+VERSION=${VERSION:-117.0.2045.55}
+BUILD=${BUILD:-1}
+DEBBUILD=${DEBBUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$BRANCH_$VERSION_$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ BIT="amd64"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}
+mkdir -p $PRGNAM-${VERSION}
+ar x $CWD/$PRGNAM-$BRANCH"_"${VERSION}-${DEBBUILD}_${BIT}.deb --output $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+rm {control.tar.xz,debian-binary,_gpgorigin}
+
+xz -d data.tar.xz
+tar --extract -f data.tar
+
+# remove what won't work
+rm -rf etc
+rm -rf usr/share/gnome-control-center
+rm -rf usr/share/menu
+rm -rf usr/bin
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/{usr/bin,usr/share,opt}
+ cp -a opt/ $PKG/
+ ln -s /opt/microsoft/msedge/$PRGNAM $PKG/usr/bin/$PRGNAM-$BRANCH
+ cp -a usr/share/man $PKG/usr/
+ cp -a usr/share/{appdata,applications} $PKG/usr/share/
+
+# move icon into place
+mkdir -p $PKG/usr/share/pixmaps
+cp -a opt/microsoft/msedge/product_logo_32.xpm \
+ $PKG/usr/share/pixmaps/microsoft-edge.xpm
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a usr/share/doc/microsoft-edge-stable/* $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/microsoft-edge/microsoft-edge.info b/network/microsoft-edge/microsoft-edge.info
new file mode 100644
index 0000000000..d62cdcdd45
--- /dev/null
+++ b/network/microsoft-edge/microsoft-edge.info
@@ -0,0 +1,10 @@
+PRGNAM="microsoft-edge"
+VERSION="117.0.2045.55"
+HOMEPAGE="https://www.microsoft.com/edge"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://packages.microsoft.com/repos/edge/pool/main/m/microsoft-edge-stable/microsoft-edge-stable_117.0.2045.55-1_amd64.deb"
+MD5SUM_x86_64="79326169c59d70280515bc8fd8448fa9"
+REQUIRES=""
+MAINTAINER="Andrew Payne"
+EMAIL="phalange@komputermatrix.com"
diff --git a/network/microsoft-edge/slack-desc b/network/microsoft-edge/slack-desc
new file mode 100644
index 0000000000..0413d92cad
--- /dev/null
+++ b/network/microsoft-edge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+microsoft-edge: microsoft-edge (web browser)
+microsoft-edge:
+microsoft-edge: Microsoft Edge is a proprietary, cross-platform web browser created
+microsoft-edge: by Microsoft.
+microsoft-edge:
+microsoft-edge: Home page: https://www.microsoft.com/en-us/edge
+microsoft-edge:
+microsoft-edge:
+microsoft-edge:
+microsoft-edge:
+microsoft-edge: